cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/cluster-versions?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"versions": [
{
"allowed_upgrades": [
"<string>"
],
"release_type": "REGULAR",
"support_end": "2023-11-07T05:31:56Z",
"support_status": "UNSUPPORTED",
"version": "<string>"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Sort order: Version number descending
This endpoint may be used by any member of the organization.
GET
/
api
/
v1
/
cluster-versions
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/cluster-versions?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"versions": [
{
"allowed_upgrades": [
"<string>"
],
"release_type": "REGULAR",
"support_end": "2023-11-07T05:31:56Z",
"support_status": "UNSUPPORTED",
"version": "<string>"
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC 
